#!/usr/bin/env bash

source ${DOTFILES}/helpers.sh

function main()
{
  local scriptdir="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd)"

  print_info "Setting up SSH"
  # copy private key to .ssh
  # cp ${KEYFILE} ~/.ssh/thomas_rsa
  # chmod 400 ~/.ssh/thomas_rsa
  # ssh-add -K ~/.ssh/thomas_rsa
  if [ ! -f "${HOME}/.ssh/config" ]; then
    cat << EOF > "${HOME}/.ssh/config"
Include ${scriptdir}/config
EOF
  fi

  print_ok "SSH settings installed"
}

main "$@"
